![NPM Version](https://img.shields.io/npm/v/liblab) ![NPM Downloads](https://img.shields.io/npm/dt/liblab)

The Official CLI for [liblab](https://liblab.com). Generate SDKs and SDK documentation from your OpenAPI spec.

Sign up for a free liblab account at [liblab.com/join](https://liblab.com/join).

## Installation

You can install the liblab CLI with either npm or Homebrew:

**npm:**

```bash
npm install -g liblab
```

**Homebrew:**

```bash
brew tap liblaber/homebrew-liblab
brew install liblab
```

### Documentation

See the [liblab documentation](https://developers.liblab.com) to learn more about the CLI and how to use it.

## Usage

The CLI allows you to configure and generate SDKs and SDK documentation from your OpenAPI spec. You can also create a PR for the generated SDKs and validate your spec file.

```bash
liblab [command] [options]

# Use --help to get detailed help for a specific command
liblab [command] --help
```

To view all the available commands and options, run:

```bash
liblab help
```

## Commands

You can find a full list of commands and their descriptions in the  [liblab documentation](https://developers.liblab.com/cli/cli-overview/).
