"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.phpLanguageOptionsSchema = void 0;
const schemas_1 = require("../schemas");
const shared_language_options_1 = require("../shared/shared-language-options");
const schema_1 = require("./schema");
exports.phpLanguageOptionsSchema = shared_language_options_1.sharedLanguageOptionsSchema
    .extend({
    additionalConstructorParameters: schemas_1.additionalConstructorParametersSchema,
    packageName: schema_1.packageNameSchema,
})
    .describe('PHP specific options')
    .optional();
