"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.terraformLanguageOptionsSchema = void 0;
const shared_language_options_1 = require("../shared/shared-language-options");
const schema_1 = require("./schema");
exports.terraformLanguageOptionsSchema = shared_language_options_1.sharedLanguageOptionsSchema
    .extend({
    hideComputedDiff: schema_1.hideComputedDiffSchema,
    mockAcceptance: schema_1.mockAcceptanceSchema,
    providerGoModuleName: schema_1.providerGoModuleNameSchema,
    providerName: schema_1.providerNameSchema,
    providerSchemaConfig: schema_1.providerSchemaConfigSchema,
    providerVersion: schema_1.providerVersionSchema,
})
    .strict()
    .describe('terraform provider specific options')
    .optional();
