"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.typescriptLanguageOptionsSchema = void 0;
const schemas_1 = require("../../schemas");
const schemas_2 = require("../schemas");
const shared_language_options_1 = require("../shared/shared-language-options");
const schemas_3 = require("./schemas");
exports.typescriptLanguageOptionsSchema = shared_language_options_1.sharedLanguageOptionsSchema
    .extend({
    additionalConstructorParameters: schemas_2.additionalConstructorParametersSchema,
    bundle: schemas_3.bundleSchema,
    denoteCommon: schemas_3.denoteCommonSchema,
    exportClassDefault: schemas_3.exportClassDefaultSchema,
    generateEnumAs: schemas_3.generateEnumAsSchema,
    httpClient: schemas_3.httpClientSchema,
    liblabVersion: schemas_1.liblabVersionSchema,
    namingStrategy: schemas_3.typescriptNamingStrategySchema,
    npmName: schemas_3.npmNameSchema,
    npmOrg: schemas_3.npmOrgSchema,
})
    .describe('TypeScript specific options')
    .optional();
