"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.constructUiArray = constructUiArray;
exports.deepCopy = deepCopy;
exports.hasDuplicates = hasDuplicates;
function constructUiArray(arrayToConstruct) {
    const newArr = arrayToConstruct.join(', ');
    const lastItemIndex = arrayToConstruct.length - 1;
    const lastItem = arrayToConstruct[lastItemIndex];
    return newArr.replace(`, ${lastItem}`, ` and ${lastItem}`);
}
function deepCopy(obj) {
    return structuredClone(obj);
}
function hasDuplicates(arrayToTest) {
    return new Set(arrayToTest).size === arrayToTest.length;
}
