"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.forEachEndpointCustomization = forEachEndpointCustomization;
function forEachEndpointCustomization(endpoints, cb) {
    if (!endpoints || typeof endpoints === 'string') {
        return;
    }
    Object.values(endpoints).forEach((endpoint) => {
        if (endpoint.delete) {
            cb(endpoint.delete);
        }
        if (endpoint.post) {
            cb(endpoint.post);
        }
        if (endpoint.get) {
            cb(endpoint.get);
        }
        if (endpoint.patch) {
            cb(endpoint.patch);
        }
        if (endpoint.put) {
            cb(endpoint.put);
        }
    });
}
