"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.documentationSchema = void 0;
const zod_1 = require("zod");
const enhanced_spec_schema_1 = require("./enhanced-spec.schema");
const snippets_schema_1 = require("./snippets.schema");
const object = zod_1.z.object({
    snippets: snippets_schema_1.snippetsSchema,
    enhancedApiSpec: enhanced_spec_schema_1.enhancedSpecDocumentationOptionsSchema.optional(),
});
exports.documentationSchema = object.strict();
