"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.endpointCustomizationSchema = void 0;
const zod_1 = require("zod");
const openapi_path_1 = require("../opanapi/openapi-path");
exports.endpointCustomizationSchema = zod_1.z
    .union([openapi_path_1.openApiPathSchema, zod_1.z.string().regex(/^[\w./\\-]+$/), zod_1.z.string().url()])
    .describe('Customizations for specific endpoints');
