"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.docsSchema = exports.DocsOptions = void 0;
const zod_1 = require("zod");
var DocsOptions;
(function (DocsOptions) {
    DocsOptions["Api"] = "api";
    DocsOptions["EnhancedApiSpec"] = "enhancedApiSpec";
    DocsOptions["Snippets"] = "snippets";
})(DocsOptions || (exports.DocsOptions = DocsOptions = {}));
exports.docsSchema = zod_1.z
    .array(zod_1.z.enum([DocsOptions.Api, DocsOptions.Snippets, DocsOptions.EnhancedApiSpec]))
    .describe('Should API documentation or code snippets be generated?')
    .optional();
