"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.additionalConstructorParametersSchema = void 0;
const json_utils_1 = require("../../../utils/json.utils");
const parameter_schema_1 = require("./parameter.schema");
exports.additionalConstructorParametersSchema = parameter_schema_1.additionalConstructorParameterSchema
    .array()
    .refine((data) => (0, json_utils_1.hasDuplicates)(data.map((v) => v.name)), {
    message: 'The additional variables must have unique names',
})
    .describe('Additional variables to include in the constructor and access in the hooks');
