"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.csharpOptionsSchema = void 0;
const zod_1 = require("zod");
const generic_language_options_schema_1 = require("./generic-language-options.schema");
exports.csharpOptionsSchema = zod_1.z
    .object({
    packageId: zod_1.z
        .string()
        .describe('The PackageId of your C# SDK. It identifies your NuGet package.')
        .optional(),
    ...generic_language_options_schema_1.genericLanguageOptions.shape,
})
    .strict()
    .describe('C# specific options');
