"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.goOptionsSchema = void 0;
const zod_1 = require("zod");
const parameters_schema_1 = require("./additional-constructor-parameters/parameters.schema");
const generic_language_options_schema_1 = require("./generic-language-options.schema");
exports.goOptionsSchema = zod_1.z
    .object({
    goModuleName: zod_1.z.string().describe('The name of the go module'),
    additionalConstructorParameters: parameters_schema_1.additionalConstructorParametersSchema.optional(),
    ...generic_language_options_schema_1.genericLanguageOptions.shape,
})
    .strict()
    .describe('go specific options');
