"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.refreshTokenParams = void 0;
const zod_1 = require("zod");
exports.refreshTokenParams = zod_1.z
    .object({
    bearerKey: zod_1.z.string().describe('The key to use for the bearer token'),
    endpoint: zod_1.z.string().describe('The endpoint to use for refreshing the token'),
    refreshKey: zod_1.z.string().describe('The key to use for the refresh token'),
})
    .strict()
    .describe('The parameters for the refresh token system');
