"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.workflowsSchema = void 0;
const zod_1 = require("zod");
exports.workflowsSchema = zod_1.z
    .object({
    path: zod_1.z
        .string()
        .describe('A local relative path to your arrazo specification file or a publicly reachable URL to the arrazo spec file'),
    outputName: zod_1.z.string().describe('The desired output name for the workflow').optional(),
})
    .strict()
    .describe('The workflow configuration');
