"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DocsIntegrationsUX = void 0;
const wrapper_utils_1 = require("../../../utils/wrapper.utils");
const constants_1 = require("./constants");
class DocsIntegrationsUX {
    async confirmOverwrite() {
        const { overwriteExistingFile } = await wrapper_utils_1.inquirer.prompt({
            message: `This will overwrite your existing ${constants_1.SPEC_WITH_SNIPPETS_FILENAME} file, are you sure you want to continue?`,
            name: 'overwriteExistingFile',
            type: 'confirm',
        });
        return overwriteExistingFile;
    }
}
exports.DocsIntegrationsUX = DocsIntegrationsUX;
