"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventStatus = exports.EventName = void 0;
exports.isLoggingBuildEvent = isLoggingBuildEvent;
var EventName;
(function (EventName) {
    EventName["BUILD"] = "BUILD";
})(EventName || (exports.EventName = EventName = {}));
// Note: This status is sent to both Mixpanel and Datadog, but it has specific meaning in Datadog.
var EventStatus;
(function (EventStatus) {
    EventStatus["ABORT"] = "abort";
    EventStatus["ERROR"] = "error";
    EventStatus["FAILED"] = "failed";
    EventStatus["INFO"] = "info";
    EventStatus["PENDING"] = "pending";
    EventStatus["SUCCEED"] = "succeed";
    EventStatus["WARN"] = "warn";
})(EventStatus || (exports.EventStatus = EventStatus = {}));
function isLoggingBuildEvent(event) {
    return event.eventName === EventName.BUILD;
}
