"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MixpanelAdapterFactory = void 0;
const logging_events_1 = require("../logging-events");
const mixpanel_build_event_adapter_1 = require("./mixpanel-build-event-adapter");
const mixpanelAdapters = {
    [logging_events_1.EventName.BUILD]: mixpanel_build_event_adapter_1.MixpanelBuildEventAdapter,
};
class MixpanelAdapterFactory {
    static getAdapter(event) {
        return new mixpanelAdapters[event.eventName](event);
    }
}
exports.MixpanelAdapterFactory = MixpanelAdapterFactory;
