"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OCliffConfig = void 0;
class OCliffConfig {
    constructor() {
        // private constructor to enforce singleton pattern
    }
    static getInstance() {
        if (!OCliffConfig.instance) {
            OCliffConfig.instance = new OCliffConfig();
        }
        return OCliffConfig.instance;
    }
    getConfig() {
        if (!this.config) {
            throw new Error('ocliff config not set');
        }
        return this.config;
    }
    setConfig(config) {
        this.config = config;
    }
}
exports.OCliffConfig = OCliffConfig;
