"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BitbucketPrData = void 0;
const base_pr_data_1 = require("./base-pr-data");
class BitbucketPrData extends base_pr_data_1.BasePrData {
    constructor(token, language, liblabConfig) {
        super(token, language, liblabConfig);
        this.repoUrl = `https://bitbucket.org/${this.org}/${this.repo}.git`;
        this.authorEmail = 'bot@lblab.com';
        this.authorName = 'liblab';
        this.username = 'x-token-auth';
    }
}
exports.BitbucketPrData = BitbucketPrData;
