"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getArtifactArchive = getArtifactArchive;
const tslib_1 = require("tslib");
const adm_zip_1 = tslib_1.__importDefault(require("adm-zip"));
function getArtifactArchive(artifactResolvedPromise) {
    const zip = new adm_zip_1.default(artifactResolvedPromise.data);
    return {
        zip,
        language: artifactResolvedPromise.language,
        languageInFsFormat: artifactResolvedPromise.language.toLowerCase(),
    };
}
