"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getReadmeIoRootLevelLanguagesObject = void 0;
const constants_1 = require("../../constants");
const getReadmeIoRootLevelLanguagesObject = (spec, languagesInReadmeFormat) => {
    const languagesUpdate = Array.from(new Set(languagesInReadmeFormat));
    if (spec[constants_1.X_README_OPENAPI_KEY]) {
        return {
            [constants_1.X_README_OPENAPI_KEY]: {
                ...spec[constants_1.X_README_OPENAPI_KEY],
                [constants_1.X_README_ROOT_LEVEL_NESTED_SAMPLES_LANGUAGES_KEY]: languagesUpdate,
            },
        };
    }
    return {
        [constants_1.ROOT_LEVEL_SAMPLES_KEY]: languagesUpdate,
    };
};
exports.getReadmeIoRootLevelLanguagesObject = getReadmeIoRootLevelLanguagesObject;
