"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSnippetsEntriesFromArchive = getSnippetsEntriesFromArchive;
function getSnippetsEntriesFromArchive(archive) {
    return archive
        .getEntries()
        .filter((entry) => !entry.isDirectory &&
        entry.entryName.includes('documentation/snippets') &&
        entry.entryName.includes('.md'));
}
