"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLiblabConfig = getLiblabConfig;
const liblab_config_1 = require("../schemas/liblab.config");
function getLiblabConfig(liblabConfig) {
    const parse = liblab_config_1.liblabSchema.safeParse(JSON.parse(liblabConfig));
    if (!parse.success) {
        throw new Error(`Invalid liblab config reason: ${JSON.stringify(parse.error, undefined, 2)}`);
    }
    return parse.data;
}
