"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Enhancement = void 0;
exports.getSpecEnhancementType = getSpecEnhancementType;
const enhanced_api_spec_schema_1 = require("../schemas/integrations/enhanced-api-spec.schema");
var Enhancement;
(function (Enhancement) {
    Enhancement[Enhancement["Simple"] = 0] = "Simple";
    Enhancement[Enhancement["ReadmeIo"] = 1] = "ReadmeIo";
})(Enhancement || (exports.Enhancement = Enhancement = {}));
function getSpecEnhancementType(liblabConfig) {
    var _a, _b;
    const enhancement = ((_b = (_a = liblabConfig.integrations) === null || _a === void 0 ? void 0 : _a.enhancedApiSpec) === null || _b === void 0 ? void 0 : _b.provider) === enhanced_api_spec_schema_1.ApiDocumentationProvider.Readme
        ? Enhancement.ReadmeIo
        : Enhancement.Simple;
    return enhancement;
}
