"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.messageFromLiblabSdkError = exports.findMissing = exports.hasDuplicates = exports.isArraysEqual = exports.deepCopy = void 0;
const deepCopy = (obj) => structuredClone(obj);
exports.deepCopy = deepCopy;
const isArraysEqual = (arr1, arr2) => JSON.stringify(arr1) === JSON.stringify(arr2);
exports.isArraysEqual = isArraysEqual;
const hasDuplicates = (arrayToTest) => new Set(arrayToTest).size === arrayToTest.length;
exports.hasDuplicates = hasDuplicates;
const findMissing = (currentArray, goalArray) => goalArray.filter((item) => !currentArray.includes(item));
exports.findMissing = findMissing;
const messageFromLiblabSdkError = (error, fallbackMessage = '') => { var _a; return ((_a = error === null || error === void 0 ? void 0 : error.detail) === null || _a === void 0 ? void 0 : _a.message) || fallbackMessage; };
exports.messageFromLiblabSdkError = messageFromLiblabSdkError;
