"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ArtifactNameToRealNameMapper = exports.uiNameToRealNameMapper = exports.sdkNameToUiNameMapper = void 0;
exports.sdkNameToUiNameMapper = {
    CSHARP: 'C#',
    GO: 'Go',
    JAVA: 'Java',
    PHP: 'PHP',
    PYTHON: 'Python',
    SWIFT: 'Swift',
    TERRAFORM: 'Terraform',
    TYPESCRIPT: 'TypeScript',
    MCP: 'MCP',
    csharp: 'C#',
    go: 'Go',
    java: 'Java',
    php: 'PHP',
    python: 'Python',
    swift: 'Swift',
    terraform: 'Terraform',
    typescript: 'TypeScript',
    mcp: 'MCP',
};
exports.uiNameToRealNameMapper = {
    'C#': 'csharp',
    Go: 'go',
    Java: 'java',
    MCP: 'mcp',
    PHP: 'php',
    Python: 'python',
    Swift: 'swift',
    Terraform: 'terraform',
    TypeScript: 'typescript',
};
exports.ArtifactNameToRealNameMapper = {
    CSHARP: 'csharp',
    GO: 'go',
    JAVA: 'java',
    MCP: 'mcp',
    PHP: 'php',
    PYTHON: 'python',
    SWIFT: 'swift',
    TERRAFORM: 'terraform',
    TYPESCRIPT: 'typescript',
};
