"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tempDirectory = exports.outputDir = exports.liblabConfigPath = exports.hooksDir = exports.apiSchemaValidationPath = exports.customPlanModifiersPath = exports.LOCAL_OPENAPI_IN_MINTLIFY_REPO = exports.TMP_GIR_DIR_NAME = exports.customPlanModifiersDir = void 0;
const tslib_1 = require("tslib");
const node_os_1 = tslib_1.__importDefault(require("node:os"));
const node_path_1 = tslib_1.__importDefault(require("node:path"));
// The directory where the custom plan modifiers for terraform are stored
exports.customPlanModifiersDir = 'customPlanModifiers';
exports.TMP_GIR_DIR_NAME = '.temp-git';
exports.LOCAL_OPENAPI_IN_MINTLIFY_REPO = node_path_1.default.join(exports.TMP_GIR_DIR_NAME, 'api-reference', 'openapi.json');
const tempDirectory = node_path_1.default.join(node_os_1.default.tmpdir(), 'liblab');
exports.tempDirectory = tempDirectory;
const outputDir = node_path_1.default.join(process.cwd(), 'output');
exports.outputDir = outputDir;
const liblabConfigPath = node_path_1.default.join(process.cwd(), 'liblab.config.json');
exports.liblabConfigPath = liblabConfigPath;
const apiSchemaValidationPath = node_path_1.default.join(process.cwd(), 'output', 'api-schema-validation.json');
exports.apiSchemaValidationPath = apiSchemaValidationPath;
const hooksDir = node_path_1.default.join(process.cwd(), 'hooks');
exports.hooksDir = hooksDir;
exports.customPlanModifiersPath = node_path_1.default.join(process.cwd(), exports.customPlanModifiersDir);
