"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = getPackageVersion;
const tslib_1 = require("tslib");
const axios_1 = tslib_1.__importDefault(require("axios"));
async function getPackageVersion(packageName) {
    try {
        const { data } = await axios_1.default.get(`https://registry.npmjs.org/${packageName}/latest`);
        return data.version;
    }
    catch {
        return '';
    }
}
