"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.csharpOptionsSchema = void 0;
const zod_1 = require("zod");
const shared_language_options_1 = require("../shared/shared-language-options");
exports.csharpOptionsSchema = shared_language_options_1.sharedLanguageOptionsSchema
    .extend({
    packageId: zod_1.z
        .string()
        .describe('The PackageId of your C# SDK. It identifies your NuGet package.')
        .optional(),
})
    .describe('C# specific options')
    .optional();
