"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.goLanguageOptionsSchema = void 0;
const zod_1 = require("zod");
const schemas_1 = require("../schemas");
const shared_language_options_1 = require("../shared/shared-language-options");
exports.goLanguageOptionsSchema = shared_language_options_1.sharedLanguageOptionsSchema
    .extend({
    goModuleName: zod_1.z.string().default('github.com/test-sdk').describe('The name of the go module'),
    additionalConstructorParameters: schemas_1.additionalConstructorParametersSchema,
})
    .describe('go specific options')
    .optional();
