"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.javaLanguageOptionsSchema = void 0;
const schemas_1 = require("../schemas");
const shared_language_options_1 = require("../shared/shared-language-options");
const schema_1 = require("./schema");
exports.javaLanguageOptionsSchema = shared_language_options_1.sharedLanguageOptionsSchema
    .extend({
    groupId: schema_1.groupIdSchema,
    artifactId: schema_1.artifactIdSchema,
    includeKotlinSnippets: schema_1.includeKotlinSnippetsSchema,
    developers: schema_1.developersSchema,
    additionalConstructorParameters: schemas_1.additionalConstructorParametersSchema,
})
    .describe('Java specific options')
    .optional();
