"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.packageNameSchema = void 0;
const zod_1 = require("zod");
exports.packageNameSchema = zod_1.z
    .string()
    .describe('The name of the composer package')
    .regex(/^[\da-z]([._-]?[\da-z]+)*\/[\da-z](([._]|-{1,2})?[\da-z]+)*$/, 'Invalid composer package name. It must be in the following format: "vendor/package-name"')
    .default('company/sdk');
