"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.snippetsSchema = void 0;
const zod_1 = require("zod");
exports.snippetsSchema = zod_1.z
    .object({
    format: zod_1.z
        .enum(['md', 'json'])
        .describe('The format of the documentation code snippets')
        .default('md'),
})
    .strict()
    .optional();
