"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.environmentVariable = void 0;
const zod_1 = require("zod");
exports.environmentVariable = zod_1.z
    .object({
    description: zod_1.z.string().describe('A description of the environment variable'),
    name: zod_1.z.string().describe('The name of the environment variable'),
})
    .strict()
    .describe('An environment variable');
