"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.environment = void 0;
const zod_1 = require("zod");
exports.environment = zod_1.z
    .object({
    name: zod_1.z.string().describe('The name of the environment'),
    url: zod_1.z.string().describe('The URL of the environment').url(),
})
    .strict()
    .describe('A deployment environment');
