"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hookDependency = void 0;
const zod_1 = require("zod");
exports.hookDependency = zod_1.z
    .object({
    groupId: zod_1.z.string().describe('The groupId of the hook dependency').optional(),
    name: zod_1.z.string().describe('The name of the hook dependency'),
    version: zod_1.z.string().describe('The version of the hook dependency'),
})
    .strict()
    .describe('A dependency that should be installed for the hook');
