"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.additionalConstructorParameterSchema = void 0;
const zod_1 = require("zod");
exports.additionalConstructorParameterSchema = zod_1.z
    .object({
    name: zod_1.z.string().describe('The name of the variable'),
    example: zod_1.z.string().describe('An example value for the variable').optional(),
})
    .strict()
    .describe('An additional variable to be included in the constructor');
