"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.liblabVersionSchema = void 0;
const zod_1 = require("zod");
exports.liblabVersionSchema = zod_1.z
    .string() // We are setting version as a string, so we can expand it to support a full version format (1.2.3) in the future if necessary
    .describe('The version of the liblab SDK Generator')
    .regex(/^(\d+)$/); // Accept only numbers
