"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OasEndpointSchema = void 0;
const zod_1 = require("zod");
const method_1 = require("./method");
// Define the schema for each endpoint customization
exports.OasEndpointSchema = zod_1.z
    .object({
    get: method_1.methodSchema.optional(),
    post: method_1.methodSchema.optional(),
    put: method_1.methodSchema.optional(),
    delete: method_1.methodSchema.optional(),
    patch: method_1.methodSchema.optional(),
    // Add other HTTP methods if needed
})
    .nonstrict(); // Allows additional properties if necessary
