"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.methodSchema = void 0;
const zod_1 = require("zod");
const pagination_schema_1 = require("./pagination.schema");
// Define the schema for the method objects (e.g., get, post, etc.)
exports.methodSchema = zod_1.z.object({
    operationId: zod_1.z.string().optional(),
    streaming: zod_1.z.boolean().optional(),
    scopes: zod_1.z.record(zod_1.z.array(zod_1.z.string())).optional(),
    pagination: pagination_schema_1.liblabPaginationSchema.optional(),
});
