"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.liblabPaginationSchema = exports.liblabPaginationInputFieldSchema = void 0;
const tslib_1 = require("tslib");
// eslint-disable-next-line import/no-named-as-default
const zod_1 = tslib_1.__importDefault(require("zod"));
exports.liblabPaginationInputFieldSchema = zod_1.default.object({
    name: zod_1.default.string(),
    in: zod_1.default.literal('query'),
    type: zod_1.default.union([zod_1.default.literal('limit'), zod_1.default.literal('offset')]),
});
exports.liblabPaginationSchema = zod_1.default.object({
    type: zod_1.default.literal('limitOffset'),
    inputFields: zod_1.default.array(exports.liblabPaginationInputFieldSchema),
    resultsArray: zod_1.default.object({
        results: zod_1.default.string(),
        defaultPageSize: zod_1.default.number(),
    }),
});
