"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpService = void 0;
const tslib_1 = require("tslib");
const axios_1 = tslib_1.__importDefault(require("axios"));
class HttpService {
    async getArtifact(artifactUrl) {
        const response = await axios_1.default.get(artifactUrl, {
            responseType: 'arraybuffer',
        });
        return Buffer.from(response.data);
    }
}
exports.HttpService = HttpService;
