"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBuildSdkArtifacts = getBuildSdkArtifacts;
function getBuildSdkArtifacts(build) {
    var _a;
    const sdkArtifacts = (_a = build.artifacts) === null || _a === void 0 ? void 0 : _a.filter(({ sdk }) => sdk);
    if (!sdkArtifacts || sdkArtifacts.length < 0) {
        throw new Error('Build does not have sdk artifacts');
    }
    return sdkArtifacts;
}
