"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getArtifactsArchives = getArtifactsArchives;
const get_supported_languages_for_spec_enrichment_1 = require("../get-supported-languages-for-spec-enrichment");
const fetch_artifacts_1 = require("./fetch-artifacts");
const get_artifact_archive_1 = require("./get-artifact-archive");
async function getArtifactsArchives(liblabConfig, build) {
    const buildSdkArtifacts = (0, get_supported_languages_for_spec_enrichment_1.getSupportedLanguagesForSpecEnrichment)(liblabConfig, build);
    const artifacts = await (0, fetch_artifacts_1.fetchSdkArtifacts)(buildSdkArtifacts);
    return artifacts.map((artifact) => (0, get_artifact_archive_1.getArtifactArchive)(artifact));
}
