"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPathComponentsFromIzipEntry = getPathComponentsFromIzipEntry;
function getPathComponentsFromIzipEntry(entry) {
    const entryNameComponents = entry.entryName.split('/');
    const fileName = entryNameComponents.at(-1);
    const fileNameComponents = fileName === null || fileName === void 0 ? void 0 : fileName.split('-');
    const lastNameComponent = fileNameComponents === null || fileNameComponents === void 0 ? void 0 : fileNameComponents.at(-1);
    return {
        fileName,
        fileNameComponents,
        lastNameComponent,
    };
}
