"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CombinedError = void 0;
class CombinedError extends Error {
    constructor(message, errors) {
        super(message);
        this.name = super.name;
        this.errors = errors;
        this.messages = errors.map((error) => error === null || error === void 0 ? void 0 : error.message).filter(Boolean);
    }
}
exports.CombinedError = CombinedError;
