"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const helpers_1 = require("../lib/helpers");
const cmds_json_1 = require("../logs/cmds.json");
const MAX_CHARS_ERROR_MESSAGE = 500;
const toLimitedConsoleError = (message) => {
    if ((message === null || message === void 0 ? void 0 : message.length) > MAX_CHARS_ERROR_MESSAGE) {
        (0, helpers_1.debugLog)('Received a long error message, replaced with a default error message', message);
        return cmds_json_1.DEFAULT_ERROR;
    }
    return message;
};
exports.default = toLimitedConsoleError;
