"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pressAnyKey = pressAnyKey;
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const node_readline_1 = tslib_1.__importDefault(require("node:readline"));
async function pressAnyKey(message = 'Press any key to continue...') {
    core_1.ux.stdout(message);
    return new Promise((resolve) => {
        node_readline_1.default.emitKeypressEvents(process.stdin);
        process.stdin.setRawMode(true);
        process.stdin.on('keypress', () => {
            process.stdin.setRawMode(false);
            process.stdin.pause();
            resolve();
        });
    });
}
